<?php
/*******************     伊风网络著作权所有       ***************/
  class IWUpload{
        var  $allowtype="";//格式为|gif|jpeg|zip|png|,如为空则不做限制
		var  $allowsize="";//格式为1000(单位是byte),如为空则不做限制
		//检查上传类型是否符合
		function check_type($file){
		  if(empty($this->allowtype)){
		     return TRUE;
		  }
		  else{
		  $fileextence=$this->file_extence($file);
		  if(eregi("\|$fileextence\|",$this->allowtype)){
		     return TRUE;
		  }
		  else{
		     return FALSE;
			 exit;
		  }
		  }
		}
		//检查上传文件尺寸是否符合
		function check_size($file){
		  if(empty($this->allowsize)){
		     return TRUE;
		   }
		   else{
		     if($file_size<=$this->allowsize){
			    return TRUE;
			 }
			 else{
			    return FALSE;
				exit;
			 }
		   }
		}
		//得到上传文件的扩展名
		function file_extence($file){
		  $filearray=explode(".",$file);
		  $filemark=sizeof($filearray)-1;
		  $fileextence=$filearray[$filemark];
		  return $fileextence;
		}
		//拷贝欲上传文件到服务器
		function copy_file($file,$newfile){
		   copy($file,$newfile);
		}
  }
?>